language: node_js
node_js:
    - "4"

env:
  - CXX=g++-4.8

addons:
  apt:
    sources:
      - ubuntu-toolchain-r-test
    packages:
      - g++-4.8

install:
    - npm install xvfb-maybe

cache:
  directories:
    - node_modules

before_script:
  - export DISPLAY=':99.0'
  - Xvfb :99 -screen 0 1024x768x24 -extension RANDR &

script:
    - xvfb-maybe npm install
    - npm run docs

deploy:
  - provider: s3
    access_key_id: $S3_ACCESS_KEY_ID
    secret_access_key: $S3_SECRET_ACCESS_KEY
    bucket: "pixi.js"
    skip_cleanup: true
    acl: public_read
    local_dir: bin
    upload-dir: "$TRAVIS_BRANCH"
    region: eu-west-1
    on:
        all_branches: true
  - provider: s3
    access_key_id: $S3_ACCESS_KEY_ID
    secret_access_key: $S3_SECRET_ACCESS_KEY
    bucket: "pixi.js"
    skip_cleanup: true
    acl: public_read
    local_dir: docs
    upload-dir: "$TRAVIS_BRANCH/docs"
    region: eu-west-1
    on:
        all_branches: true